/*查看所有产品按钮*/
button,input,select,textarea{font-family:inherit;font-size:100%;margin:0;}
button,input{line-height:normal;}button,select{text-transform:none;}
button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer;}button[disabled],
/*按钮背景*/
.bg-2 {
	background:#f2f2f2;
	color:#030303;
	border:0px solid red;
}
.container {
	width:100%;
	margin: 0 auto;
	text-align:center;
	overflow: hidden; 
	border:0px solid red;
}
/*宽度250px*/
.content {
	padding: 2em 1em 5em;
	z-index: 1;
	max-width: 250px;
	margin: 0 auto;
	border:0px solid red;
}
.content h2 {
	margin: 0 0 2em;
}
.content p {
	margin: 1em 0;
	padding: 0 0 2em;
	font-size: 0.85em;
}
.box {
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-justify-content: center;
	justify-content: center;
}


/* 按钮样式 */
.button {
	float: left;
	min-width: 150px;
	max-width: 250px;
	display: block;
	
	padding: 1em 2em;
	border: none;
	background: none;
	color: inherit;
	vertical-align: middle;
	position: relative;
	z-index: 1;
	-webkit-backface-visibility: hidden;
	-moz-osx-font-smoothing: grayscale;
	font-size:16px;
	letter-spacing:2px;
}

/*默认蓝色*/
.bg-2 .button {
	color: #ECEFF1;
	border-color: #ECEFF1;
	background:#249dd4;
}


.button--wayra {
	overflow: hidden;
	width: 245px;
	-webkit-transition: border-color 0.3s, color 0.3s;
	transition: border-color 0.3s, color 0.3s;
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.button--wayra::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 150%;
	height: 100%;
	background: #c66767;
	z-index: -1;
	-webkit-transform: rotate3d(0, 0, 1, -45deg) translate3d(0, -3em, 0);
	transform: rotate3d(0, 0, 1, -45deg) translate3d(0, -3em, 0);
	-webkit-transform-origin: 0% 100%;
	transform-origin: 0% 100%;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.3s, background-color 0.3s;
	transition: transform 0.3s, opacity 0.3s, background-color 0.3s;
}

/*放上面时变红色*/
.button--wayra:hover::before {
	opacity: 1;
	background-color: #9a3334;
	-webkit-transform: rotate3d(0, 0, 1, 0deg);
	transform: rotate3d(0, 0, 1, 0deg);
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}

